


Synopsys:
     #include <ctype.h>
     int isalnum(int C);
   
Description:
'isalnum' is a macro which classifies ASCII integer values by table
lookup.  It is a predicate returning non-zero for alphabetic or numeric
ASCII characters, and 0 for other arguments.  It is defined for all
integer values.

   You can use a compiled subroutine instead of the macro definition by
undefining the macro using #undef isalnum.

Returns:
isalnum returns non-zero if C is a letter (a-z or A-Z) or a
digit (0-9).

Portability:
isalnum is ANSI C.

   No OS subroutines are required.

 





Synopsys:
     #include <ctype.h>
     int isalpha(int C);
   
Description:
'isalpha' is a macro which classifies ASCII integer values by table
lookup.  It is a predicate returning non-zero when C represents an
alphabetic ASCII character, and 0 otherwise.  It is defined only when
isascii(C) is true or C is EOF.

   You can use a compiled subroutine instead of the macro definition by
undefining the macro using #undef isalpha.

Returns:
isalpha returns non-zero if C is a letter (A-Z or a-z).

Portability:
isalpha is ANSI C.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <ctype.h>
     int isascii(int C);
   
Description:
'isascii' is a macro which returns non-zero when C is an ASCII
character, and 0 otherwise.  It is defined for all integer values.

   You can use a compiled subroutine instead of the macro definition by
undefining the macro using #undef isascii.

Returns:
isascii returns non-zero if the low order byte of C is in the range 0
to 127 (0x00-0x7F).

Portability:
isascii is ANSI C.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <ctype.h>
     int iscntrl(int C);
   
Description:
'iscntrl' is a macro which classifies ASCII integer values by table
lookup.  It is a predicate returning non-zero for control characters,
and 0 for other characters.  It is defined only when isascii(C) is
true or C is EOF.

   You can use a compiled subroutine instead of the macro definition by
undefining the macro using #undef iscntrl.

Returns:
iscntrl returns non-zero if C is a delete character or ordinary
control character (0x7F or 0x00-0x1F).

Portability:
iscntrl is ANSI C.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <ctype.h>
     int isdigit(int C);
   
Description:
'isdigit' is a macro which classifies ASCII integer values by table
lookup.  It is a predicate returning non-zero for decimal digits, and 0
for other characters.  It is defined only when isascii(C) is true or
C is EOF.

   You can use a compiled subroutine instead of the macro definition by
undefining the macro using #undef isdigit.

Returns:
isdigit returns non-zero if C is a decimal digit (0-9).

Portability:
isdigit is ANSI C.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <ctype.h>
     int islower(int C);
   
Description:
'islower' is a macro which classifies ASCII integer values by table
lookup.  It is a predicate returning non-zero for minuscules
(lower-case alphabetic characters), and 0 for other characters.  It is
defined only when isascii(C) is true or C is EOF.

   You can use a compiled subroutine instead of the macro definition by
undefining the macro using #undef islower.

Returns:
islower returns non-zero if C is a lower case letter (a-z).

Portability:
islower is ANSI C.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <ctype.h>
     int isprint(int C);
     int isgraph(int C);
   
Description:
'isprint' is a macro which classifies ASCII integer values by table
lookup.  It is a predicate returning non-zero for printable characters,
and 0 for other character arguments.  It is defined only when
isascii(C) is true or C is EOF.

   You can use a compiled subroutine instead of the macro definition by
undefining either macro using #undef isprint or #undef isgraph.

Returns:
isprint returns non-zero if C is a printing character,
(0x20-0x7E).  'isgraph' behaves identically to isprint, except
that the space character (0x20) is excluded.

Portability:
isprint and isgraph are ANSI C.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <ctype.h>
     int ispunct(int C);
   
Description:
'ispunct' is a macro which classifies ASCII integer values by table
lookup.  It is a predicate returning non-zero for printable punctuation
characters, and 0 for other characters.  It is defined only when
isascii(C) is true or C is EOF.

   You can use a compiled subroutine instead of the macro definition by
undefining the macro using #undef ispunct.

Returns:
ispunct returns non-zero if C is a printable punctuation character
(isgraph(C) && !isalnum(C)).

Portability:
ispunct is ANSI C.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <ctype.h>
     int isspace(int C);
   
Description:
'isspace' is a macro which classifies ASCII integer values by table
lookup.  It is a predicate returning non-zero for whitespace
characters, and 0 for other characters.  It is defined only when
isascii(C) is true or C is EOF.

   You can use a compiled subroutine instead of the macro definition by
undefining the macro using #undef isspace.

Returns:
isspace returns non-zero if C is a space, tab, carriage return, new
line, vertical tab, or formfeed (0x09-0x0D, 0x20).

Portability:
isspace is ANSI C.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <ctype.h>
     int isupper(int C);
   
Description:
'isupper' is a macro which classifies ASCII integer values by table
lookup.  It is a predicate returning non-zero for upper-case letters
(A-Z), and 0 for other characters.  It is defined only when
isascii(C) is true or C is EOF.

   You can use a compiled subroutine instead of the macro definition by
undefining the macro using #undef isupper.

Returns:
isupper returns non-zero if C is a upper case letter (A-Z).

Portability:
isupper is ANSI C.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <ctype.h>
     int isxdigit(int C);
   
Description:
'isxdigit' is a macro which classifies ASCII integer values by table
lookup.  It is a predicate returning non-zero for hexadecimal digits,
and 0 for other characters.  It is defined only when isascii(C) is
true or C is EOF.

   You can use a compiled subroutine instead of the macro definition by
undefining the macro using #undef isxdigit.

Returns:
isxdigit returns non-zero if C is a hexadecimal digit (0-9,
a-f, or A-F).

Portability:
isxdigit is ANSI C.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <ctype.h>
     int toascii(int C);
   
Description:
'toascii' is a macro which coerces integers to the ASCII range (0-127)
by zeroing any higher-order bits.

   You can use a compiled subroutine instead of the macro definition by
undefining this macro using #undef toascii.

Returns:
toascii returns integers between 0 and 127.

Portability:
toascii is not ANSI C.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <ctype.h>
     int tolower(int C);
     int _tolower(int C);
   
Description:
'tolower' is a macro which converts upper-case characters to lower
case, leaving all other characters unchanged.  It is only defined when
C is an integer in the range EOF to 255.

   You can use a compiled subroutine instead of the macro definition by
undefining this macro using #undef tolower.

   '_tolower' performs the same conversion as tolower, but should
only be used when C is known to be an uppercase character (A-Z).

Returns:
tolower returns the lower-case equivalent of C when it is a character
between A and Z, and C otherwise.

   _tolower returns the lower-case equivalent of C when it is a
character between A and Z.  If C is not one of these characters,
the behaviour of _tolower is undefined.

Portability:
tolower is ANSI C.  _tolower is not recommended for portable
programs.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <ctype.h>
     int toupper(int C);
     int _toupper(int C);
   
Description:
'toupper' is a macro which converts lower-case characters to upper
case, leaving all other characters unchanged.  It is only defined when
C is an integer in the range EOF to 255.

   You can use a compiled subroutine instead of the macro definition by
undefining this macro using #undef toupper.

   '_toupper' performs the same conversion as toupper, but should
only be used when C is known to be a lowercase character (a-z).

Returns:
toupper returns the upper-case equivalent of C when it is a character
between a and z, and C otherwise.

   _toupper returns the upper-case equivalent of C when it is a
character between a and z.  If C is not one of these characters,
the behaviour of _toupper is undefined.

Portability:
toupper is ANSI C.  _toupper is not recommended for portable
programs.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <wctype.h>
     int iswalnum(wint_t C);
   
Description:
'iswalnum' is a function which classifies wide-character values that
are alpha-numeric.

Returns:
iswalnum returns non-zero if C is a alpha-numeric wide-character.

Portability:
iswalnum is C99.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <wctype.h>
     int iswalpha(wint_t C);
   
Description:
'iswalpha' is a function which classifies wide-character values that
are alphabetic.

Returns:
iswalpha returns non-zero if C is an alphabetic wide-character.

Portability:
iswalpha is C99.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <wctype.h>
     int iswcntrl(wint_t C);
   
Description:
'iswcntrl' is a function which classifies wide-character values that
are categorized as a control character.

Returns:
iswcntrl returns non-zero if C is a control wide-character.

Portability:
iswcntrl is C99.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <wctype.h>
     int iswblank(wint_t C);
   
Description:
'iswblank' is a function which classifies wide-character values that
are categorized as blank.

Returns:
iswblank returns non-zero if C is a blank wide-character.

Portability:
iswblank is C99.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <wctype.h>
     int iswdigit(wint_t C);
   
Description:
'iswdigit' is a function which classifies wide-character values that
are decimal digits.

Returns:
iswdigit returns non-zero if C is a decimal digit wide-character.

Portability:
iswdigit is C99.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <wctype.h>
     int iswgraph(wint_t C);
   
Description:
'iswgraph' is a function which classifies wide-character values that
are graphic.

Returns:
iswgraph returns non-zero if C is a graphic wide-character.

Portability:
iswgraph is C99.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <wctype.h>
     int iswlower(wint_t C);
   
Description:
'iswlower' is a function which classifies wide-character values that
have an upper-case translation.

Returns:
iswlower returns non-zero if C is a lower-case wide-character.

Portability:
iswlower is C99.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <wctype.h>
     int iswprint(wint_t C);
   
Description:
'iswprint' is a function which classifies wide-character values that
are printable.

Returns:
iswprint returns non-zero if C is a printable wide-character.

Portability:
iswprint is C99.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <wctype.h>
     int iswpunct(wint_t C);
   
Description:
'iswpunct' is a function which classifies wide-character values that
are punctuation.

Returns:
iswpunct returns non-zero if C is a punctuation wide-character.

Portability:
iswpunct is C99.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <wctype.h>
     int iswspace(wint_t C);
   
Description:
'iswspace' is a function which classifies wide-character values that
are categorized as white-space.

Returns:
iswspace returns non-zero if C is a white-space wide-character.

Portability:
iswspace is C99.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <wctype.h>
     int iswupper(wint_t C);
   
Description:
'iswupper' is a function which classifies wide-character values that
have an upper-case translation.

Returns:
iswupper returns non-zero if C is a upper-case wide-character.

Portability:
iswupper is C99.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <wctype.h>
     int iswxdigit(wint_t C);
   
Description:
'iswxdigit' is a function which classifies wide-character values that
are hexadecimal digits.

Returns:
iswxdigit returns non-zero if C is a hexadecimal digit wide-character.

Portability:
iswxdigit is C99.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <wctype.h>
     int iswctype(wint_t C, wctype_t DESC);
   
Description:
'iswctype' is a function which classifies wide-character values using
the wide-character test specified by DESC.

Returns:
iswctype returns non-zero if and only if C matches the test specified
by DESC.  If DESC is unknown, zero is returned.

Portability:
iswctype is C99.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <wctype.h>
     wctype_t wctype(const char *C);
   
Description:
'wctype' is a function which takes a string C and gives back the
appropriate 'wctype_t' type value associated with the string, if one
exists.  The following values are guaranteed to be recognized: "alnum",
"alpha", "blank", "cntrl", "digit", "graph", "lower", "print", "punct",
"space", "upper", and "xdigit".

Returns:
wctype returns 0 and sets errno to 'EINVAL' if the given name is
invalid.  Otherwise, it returns a valid non-zero wctype_t value.

Portability:
wctype is C99.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <wctype.h>
     wint_t towlower(wint_t C);
   
Description:
'towlower' is a function which converts upper-case wide-characters to
lower case, leaving all other characters unchanged.

Returns:
towlower returns the lower-case equivalent of C when it is a
upper-case wide-character, otherwise, it returns the input character.

Portability:
towlower is C99.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <wctype.h>
     wint_t towupper(wint_t C);
   
Description:
'towupper' is a function which converts lower-case wide-characters to
upper case, leaving all other characters unchanged.

Returns:
towupper returns the upper-case equivalent of C when it is a
lower-case wide-character, otherwise, it returns the input character.

Portability:
towupper is C99.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <wctype.h>
     wint_t towctrans(wint_t C, wctrans_t W);
   
Description:
'towctrans' is a function which converts wide-characters based on a
specified translation type W.  If the translation type is invalid or
cannot be applied to the current character, no change to the character
is made.

Returns:
towctrans returns the translated equivalent of C when it is a valid
for the given translation, otherwise, it returns the input character.
When the translation type is invalid, errno is set 'EINVAL'.

Portability:
towctrans is C99.

   No supporting OS subroutines are required.

 





Synopsys:
     #include <wctype.h>
     wctrans_t wctrans(const char *C);
   
Description:
'wctrans' is a function which takes a string C and gives back the
appropriate 'wctrans_t' type value associated with the string, if one
exists.  The following values are guaranteed to be recognized:
"tolower" and "toupper".

Returns:
wctrans returns 0 and sets errno to 'EINVAL' if the given name is
invalid.  Otherwise, it returns a valid non-zero wctrans_t value.

Portability:
wctrans is C99.

   No supporting OS subroutines are required.

 
